<?xml version="1.0"?>
<!-- Hewlett-Packard Co. Printer Driver Configuration Information File 

This file contains information related to printer capabilities and features.  It is reccommended
that this file NOT be edited directly, but used in conjunction with HP's Web JetAdmin printer
installation utility or with the HP Printing System Customization Utility contained on the 
CDROM that shipped with the product.

Editing this file by hand may result in unexpected feature settings in the printer driver UI.
-->
<device>
    <software>
        <component>
            dmc_driver
            <component_header>
                <config_file>hpdj5550.cfg</config_file>
                    <config_file_version>1.0.0.1</config_file_version>
                    <!-- March 22nd, 2004 -->
                <config_timestamp/>
                <config_version>1.0</config_version>
                <!-- Resource DLL Identifier-->
                <component_resource>hpbcfgre.dll</component_resource>
            </component_header>
             <current>
                <physical>
                </physical>
                <printing>
                </printing>
                <custom/>
            </current>
            <!-- Pre-Configuration Settings Stored in <Current> Element -->
            <factory>
                <physical resource_id="18">
                <!--    <feature typical="TRUE">
                        Bundles
                        <current_option>HP Business Inkjet 5550</current_option>
                        <option>
                            HP Business Inkjet 5550                            
                            <constraint>Bundle_DuplexUnit_Default</constraint>
                            <constraint>Bundle_AllowManualDuplexing_NotInstalled</constraint>
                        </option>                        
                    </feature>        -->
                    <!-- PrinterMemory -->
                    <!--<feature resource_id="787" caption_id="10052" typical="TRUE">
                        Memory
                        <current_option>64</current_option>
                        <option>64</option>
                        <option>96</option>
                        <option>128</option>
                        <option>160</option>
                        <option>192</option>
                        <option>224</option>
                        <option>256</option>
                        <option>288</option>
                        <option>320</option>
                    </feature>-->
                    <!-- Printing Shortcuts feature added on 17th Oct 2003--> 
                <!--    <feature resource_id="5100" typical="TRUE">
                        HPDisplayDocUITab
                        <current_option>Enable</current_option>
                        <option resource_id="4">
                            Enable
                        </option>
                        <option resource_id="5">
                            Disable
                        </option>
                    </feature>-->
                    <!-- DuplexUnit -->
                    <feature resource_id="662" caption_id="10048" typical="TRUE">
                        DuplexUnit
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                            <constraint>ForceBothDuplexersVarTRUE1</constraint>
                        </option>
                        <option resource_id="2">
                            NotInstalled
                            <constraint>PrintOnBothSides_Cannot_Be_On_Auto</constraint>
                            <constraint>ForceBothDuplexersVarFALSE</constraint>
                        </option>
                    </feature>                    
                    <feature resource_id="666" caption_id="10070" typical="TRUE">
                        ManualDuplex
                        <current_option>Enabled</current_option>
                        <option resource_id="6">
                            Enabled
                            <constraint>ForceBothDuplexersVarTRUE2</constraint>
                        </option>
                        <option resource_id="7">
                            Disabled
                            <constraint>Check_PaperSizes_Supported</constraint>
                            <constraint>Check_PaperSizes_Supported_ABS</constraint>
                            <constraint>PrintOnBothSides_Cannot_Be_On_Man</constraint>
                            <constraint>ForceBothDuplexersVarFALSE</constraint>
                        </option>
                    </feature>
                    <feature editable="FALSE">
                        BothDuplexersOn
                        <current_option>FALSE</current_option>
                        <option>
                            FALSE
                        </option>
                        <option>
                            TRUE
                        </option>
                    </feature>

                    <!-- OptionalPaperSources -->
                    <!--<feature resource_id="710" caption_id="10086" typical="TRUE">
                        OptionalPaperSources
                        <current_option> None</current_option>
                        <option resource_id="8">
                            None
                            <constraint>Set_Tray2_To_NotInstalled</constraint>
                            <constraint>Remove_Tray2_Option</constraint>
                        </option>
                        <option resource_id="409">
                             C8234A
                            <constraint>Set_Tray2_To_Installed</constraint>
                            <constraint>Add_Tray2_Option</constraint>
                        </option>
                      </feature>-->
                    <!-- Tray2 -->
                  <!--  <feature resource_id="409" caption_id="10046" typical="TRUE">
                        Tray2
                        <current_option>Installed</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                            <constraint>Set_Tray_Default</constraint>
                        </option>
                    </feature>-->
                </physical>



                <!-- Printing Features -->
                <printing resource_id="17">
                      <!-- PageOrder -->
            <!--    <feature resource_id="1130" caption_id="10015" Typical="TRUE">
                        PageOrder
                        <current_option>FrontToBack</current_option>
                        <option resource_id="1135">
                            FrontToBack
                        </option>
                        <option resource_id="1136">
                            BackToFront
                        </option>
                    </feature> -->
                    
                    <!-- NUp Features-->
                    <!-- NUpChoice -->
                    <feature resource_id="1100" caption_id="10021" typical="FALSE">
                        NUpChoice
                        <current_option>OneUp</current_option>
                        <option resource_id="1101">
                            OneUp
                            <!--<constraint>NUpChoice_OneUp_Constraint</constraint> -->
                        </option>
                        <option resource_id="1102">
                            TwoUp
                            <constraint>Check_Scale_Equal_100</constraint>
                            <!-- NUpPageOrderChoice -->
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <constraint>Is_Booklet_On</constraint>                                
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1103">
                            FourUp
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <constraint>Is_Booklet_On</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1104">
                            SixUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1105">
                            NineUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1106">
                            SixteenUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- Percent of Normal Size: -->
                    <feature resource_id="1184" caption_id="10027" range_low="25" range_hi="400">
                        ScaleChoice
                        <current_option>100</current_option>
                    <!--    <constraint>Is_Booklet_On</constraint>-->
                        <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                        <constraint>Check_NUP</constraint>
                    </feature>
                    <!-- FitToOtherSizeChoice -->
                    <feature resource_id="1182" caption_id="10025">
                        FitToOtherSizeChoice
                        <current_option>PrintActualSize</current_option>
                        <option resource_id="9">
                            PrintActualSize
                            <constraint>Force_TargetPaperSize_To_Letter</constraint>
                            <constraint>Force_PaperSize_To_Letter</constraint>
                            <constraint>Dummy_ScaleToFit_Flase</constraint>
                            <constraint>Force_ScaleToFit_False</constraint>
                         </option>
                        <option resource_id="10">
                            FitToOtherSize
                           <constraint> FitToOtherSizeChoice_NUpChoice</constraint>
                           <constraint> Dummy_ScaleToFit_True</constraint>
                           <constraint> Force_ScaleToFit_True</constraint>
                           <!--<constraint>Check_BookletPrinting</constraint>-->
                            <!-- TargetSizeChoice-->
                            <feature resource_id="1185" caption_id="10012">
                                TargetSizeChoice
                                <current_option>LETTER</current_option>                            
                                <option resource_id="209">
                                    LETTER
                                    <!--<constraint>BookletTargetPaperSize_Cannot_Be_A4</constraint>-->
                                    <constraint>force_automatic</constraint>
                                </option>
                                <option resource_id="217">
                                    A4
                                    <constraint>BookletTargetPaperSize_Cannot_Be_LETTER</constraint>
                                    <constraint>BookletTargetPaperSize_Cannot_Be_LEGAL</constraint> 
                                    <constraint>force_automatic</constraint>
                                </option>
                                <option resource_id="219">
                                    A5
                                <!--    <constraint> tray2_constraint_ABS </constraint>-->
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                    <constraint>force_plain_paper</constraint>
                                </option>                                
                                <option resource_id="359">
                                    OfukuHagaki
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                </option>
                                <option resource_id="333">
                                    A6_CARD
                                    <constraint>force_automatic</constraint>
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                </option>
                                <option resource_id="326">
                                    HAGAKI_CARD
                                    <constraint>force_Hagaki_card</constraint>
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                </option>
                                <option resource_id="357">
                                    ENV_JAPAN_3
                                    <!--<constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>force_automatic</constraint>                       
                                </option>
                                <option resource_id="358">
                                    ENV_JAPAN_4
                                <!--    <constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>force_automatic</constraint>                       
                                </option>
                                <option resource_id="221">
                                    B5_JIS
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                    <constraint>force_automatic</constraint>
                                </option>
                                <option resource_id="347">
                                    A4_BANNER
                                <!--    <constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>force_banner_paper</constraint>
                                </option>
                                <option resource_id="346">
                                    LETTER_BANNER
                                <!--    <constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>force_banner_paper</constraint>
                                </option>
                                <option resource_id="228">
                                    ENV_10
                                <!--<constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>force_automatic</constraint>                       
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                </option>
                                <option resource_id="325">
                                    ENV_A2
                                    <!--<constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>force_automatic</constraint>                       
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                </option>                        
                                <option resource_id="239">
                                    ENV_C6
                                    <!--<constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>force_automatic</constraint>                       
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                </option>
                                <option resource_id="235">
                                    ENV_DL
                                    <!--<constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>force_automatic</constraint>                       
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                </option>                            
                                <option resource_id="215">
                                    EXECUTIVE
                                    <constraint>force_automatic</constraint>
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                </option>                        
                                <option resource_id="337">
                                    INDEX_CARD_3X5
                                    <!--<constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                    <constraint>force_automatic</constraint>
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                </option>
                                <option resource_id="323">
                                    INDEX_CARD_4X6
                                    <!--<constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                    <constraint>force_automatic</constraint>
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                </option>
                                <option resource_id="324">
                                    INDEX_CARD_5X8
                                    <!--<constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>force_automatic</constraint>
                                    <!--<constraint>Check_BookletPrinting</constraint>-->
                                </option>
                                <option resource_id="213">
                                    LEGAL
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                    <constraint>force_automatic</constraint>
                            <!--    <constraint>BookletTargetPaperSize_Cannot_Be_LETTER</constraint> -->
                            <!--    <constraint>BookletTargetPaperSize_Cannot_Be_A4</constraint> -->
                                </option>
                                <option>
                                    Photo 4 x 6 in.
                                    <!--<constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>force_hp_glossy</constraint>                                    
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                </option>
                                <option resource_id="371">
                                    PHOTO_4X6_IN_WT
                                    <!--<constraint> tray2_constraint_ABS </constraint>-->
                                    <constraint>force_hp_glossy</constraint>
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                </option>                                
                              </feature>
                           </option>
                      </feature>  
                    <!-- ScalePageChoice -->
                    <feature editable = "FALSE">
                          Dummy_ScaleToFit
                          <current_option>False</current_option>
                          <option resource_id="9">
                               False
                           </option>
                           <option resource_id="10">
                               True
                           </option>
                       </feature>
                    <feature resource_id="1183" caption_id="10026">
                          ScalePageChoice
                          <current_option>FitWithoutScaling</current_option>
                          <option resource_id="10">
                               ScaleToFit
                               <constraint>ScalePageChoice_ScaleToFit</constraint>
                               <constraint>Dummy_ScaleToFit_True</constraint>
                           </option>
                           <option resource_id="9">
                               FitWithoutScaling
                               <constraint>ScalePageChoice_ScaleToFit</constraint>
                               <constraint>Dummy_ScaleToFit_Flase</constraint>
                           </option>
                       </feature>
                     <!-- Duplex -->
                    <feature resource_id="1000" caption_id="10014" typical="TRUE" lock="FALSE">
                        Duplex
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                            <constraint>Duplex_DuplexUnit</constraint> 
                            <constraint>Duplex_constraint_PaperSize</constraint>
                            <constraint>Duplex_constraint_PaperSize_ABS</constraint>
                            <constraint>Duplex_constraint_Mediatypes</constraint>
                            <constraint>Check_PaperSizes_Supported_Man</constraint>
                            <constraint>Check_PaperSizes_Supported_Man_ABS</constraint>
                            <!--<constraint>Check_BlackInk</constraint>
                            <constraint>Check_EmulateLJ_Margins</constraint>
                            <constraint>Check_Symmetrical_Margins</constraint>-->
                            <!-- DuplexEdge -->
                            <feature resource_id="1001" caption_id="10063" typical="TRUE">
                                DuplexEdge
                                <current_option>LongEdge</current_option>
                                <option resource_id="1002">
                                    LongEdge
                                </option>
                                <option resource_id="1003">
                                    ShortEdge
                                </option>
                            </feature>
                            <!--<feature resource_id="1008" caption_id="10087"typical="TRUE">
                                HPAutoDuplexScaling
                                <current_option>TRUE</current_option>
                                <option resource_id="9">
                                    FALSE
                                </option>
                                <option resource_id="10">
                                    TRUE
                                </option>
                            </feature>-->
                        </option>
                        <option resource_id="9">
                            FALSE
                            <constraint>Check_Booklet_To_Disable_PrintOnBothSides</constraint>
                        </option>
                    </feature>
                    <!-- Orientation -->
                    <feature resource_id="850" caption_id="10013" typical="FALSE">
                        Orientation
                        <current_option>Portrait</current_option>
                        <option resource_id="851">
                            Portrait
                        </option>
                        <option resource_id="852">
                            Landscape
                        </option>
                        <option resource_id="853">
                            RotatedPortrait
                        </option>
                        <option resource_id="854">
                            RotatedLandscape
                        </option>
                    </feature>  
                    <!-- TextAsBlack-->
                    <!--<feature resource_id="901" caption_id="10043">
                        TextAsBlack
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>-->
                    <!-- BookletPrintingChoice -->
                    <feature resource_id="1120" caption_id="10023">
                        BookletPrintingChoice
                        <current_option>OFF</current_option>
                        <option resource_id="14">
                            OFF
                            <constraint>Force_BookletTargetSize_To_None</constraint>
                        </option>
                        <option resource_id="1121">
                            LeftEdge
                            <constraint>Check_NUP</constraint>
                            <constraint>Check_Duplex_To_Allow_Booklet</constraint>
                            <constraint>Check_Scaling_To_Allow_Booklet</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value1</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value3</constraint>
                        </option>
                        <option resource_id="1122">
                            RightEdge
                            <constraint>Check_NUP</constraint>
                            <constraint>Check_Duplex_To_Allow_Booklet</constraint>
                            <constraint>Check_Scaling_To_Allow_Booklet</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value1</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value3</constraint>
                        </option>
                    </feature>
                    <!-- BookletTargetSize -->
                    <feature resource_id="1124" caption_id="10067">
                        BookletTargetSize
                        <current_option>None</current_option>
                        <option>
                            None
                        </option>
                        <option resource_id="209" editable="FALSE">
                            LETTER
                            <constraint>When_BookletTargetSize_Is_Letter_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                        <option resource_id="217" editable="FALSE">
                            A4
                            <constraint>When_BookletTargetSize_Is_A4_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                    </feature>
                    <!-- TTAsBitmapSetting-->
                    <!--<feature resource_id="1170" caption_id="10044">
                        TTAsBitmapSetting
                        <current_option>TTModeOutline</current_option>
                        <option resource_id="9">
                            TTModeOutline
                        </option>
                        <option resource_id="10">
                            TTModeBitmap
                        </option>
                    </feature>-->
                    <!-- Print Quality-->
                    <feature editable="FALSE" typical="TRUE"> 
                       PrintQuality_Dummy
                       <current_option>FASTNORMAL</current_option>
                       <option>
                               DRAFT 
                       </option>
                       <option>
                                FASTNORMAL
                       </option>
                       <option>
                                NORMAL
                       </option>
                       <option>
                                BEST
                       </option>
                       <option>
                                MAXIMUM
                       </option>
                       <option>
                               1200dpiTextRendering
                       </option>
                    </feature>                   
                    <!-- Print Quality-->
                    <feature resource_id="760" typical="true" caption_id="10019">
                       PrintQuality
                       <current_option>FastNormal</current_option>
                       <option resource_id="2001">
                            Draft
                            <constraint>PQ_Dummy_Draft</constraint>
                       </option>
                       <option resource_id="790">
                            FastNormal
                           <!-- <constraint>Media_FastNormal_constraint</constraint>-->
                            <constraint>PQ_Dummy_Fast_Normal</constraint>
                       </option>
                       <option resource_id="769">    
                            Normal
                        <!--    <constraint>PQ_Dummy_Normal</constraint>-->
                       </option>  
                       <option resource_id="768">
                            Best
                            <constraint>PQ_Dummy_Best</constraint>
                       </option>
                       <option resource_id="">
                            Photo Mode (4800x1200 optimized dpi)
                            <constraint>Media_PQ_Constraint</constraint>
                            <constraint>PQ_Dummy_Maximum</constraint>
                       </option>
                       <option resource_id="">
                            1200dpiTextRendering
                            <constraint>Media_PQ_Constraint_dpi</constraint>
                            <constraint>PQ_Dummy_1200dpi</constraint>
                       </option>
                    </feature>
                    <!-- Print in Grayscale -->
                    <feature resource_id="836" typical="true" caption_id="10056" lock="FALSE">
                        PrintColorAsGray
                        <current_option>FALSE</current_option>
                        <option resource_id="5">
                            FALSE
                        </option>
                        <option resource_id="4">
                            TRUE
                            <feature resource_id="20829">
                                PrintColorAsGrayOptions
                                <current_option>HighQuality</current_option>
                                <option resource_id="20830">
                                    HighQuality
                                </option>
                                <option resource_id="20831">
                                    BlackOnly
                                    <!--<constraint>Requires_Plian_Media</constraint>-->
                                    <!--<constraint>Check_Duplex</constraint>-->
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- PaperSize-->
                    <feature resource_id="200" typical="true" caption_id="10012">
                        PaperSize
                        <current_option>LETTER</current_option>
                        <!--<num_options>22</num_options>--> 
                                     
                        <option resource_id="209">
                            LETTER
                            <constraint>force_automatic</constraint>
                            <constraint>BookletTargetPaperSize_Cannot_Be_A4</constraint>
                        </option> 
                        <option resource_id="221">
                            B5_JIS
                            <constraint>force_automatic</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                        </option>
                            
                        <option resource_id="217">
                            A4
                            <constraint>BookletTargetPaperSize_Cannot_Be_LETTER</constraint>
                            <constraint>force_automatic</constraint>
                            <constraint>BookletTargetPaperSize_Cannot_Be_LEGAL</constraint> 
                        </option>
                        
                        <option resource_id="219">
                            A5                        
                            <constraint>force_plain_paper</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                        </option>                                        
                        <option resource_id="333">
                            A6_CARD
                            <constraint>force_automatic</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                        </option>   
                        <option resource_id="215">
                            EXECUTIVE
                            <constraint>force_automatic</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                        </option>                                                                                   
                             
                        <option resource_id="228">
                            ENV_10                       
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>force_automatic</constraint>                       
                        </option>
                        <option resource_id="325">
                            ENV_A2                            
                        
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>force_automatic</constraint>
                        </option>
                        <option resource_id="239">
                            ENV_C6                            
                            
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>force_automatic</constraint>
                        </option>                            
                        <option resource_id="235">
                            ENV_DL                           
                            
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>force_automatic</constraint>                        
                        </option>
                        
                        <option resource_id="326">
                            HAGAKI_CARD
                            
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>force_Hagaki_card</constraint>
                        </option>    
                        <option resource_id="337">
                            INDEX_CARD_3X5                            
                            
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>force_automatic</constraint>
                        </option>
                        <option resource_id="323">
                            INDEX_CARD_4X6
                                        
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>force_automatic</constraint>
                        </option>
                        <option resource_id="324">
                            INDEX_CARD_5X8
                                                        
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>force_automatic</constraint>
                        </option>                                                                                            
                                                        
                        <option resource_id="357">
                            ENV_JAPAN_3
                                                        
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>force_automatic</constraint>
                            </option>
                        <option resource_id="358">
                            ENV_JAPAN_4
                                                        
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>force_automatic</constraint>
                        </option> 
                        <option resource_id="213">
                            LEGAL
                            
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>BookletTargetPaperSize_Cannot_Be_LETTER</constraint> 
                            <constraint>BookletTargetPaperSize_Cannot_Be_A4</constraint> 
                            <constraint>force_automatic</constraint>
                        </option>                                                                                 
                        <option resource_id="359">
                            OfukuHagaki
                            
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>force_automatic</constraint>
                        </option>        
                        <option>
                            Photo 4x6 in.                            
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>force_hp_glossy</constraint>
                        </option>
                        <option resource_id="371">
                            PHOTO_4X6_IN_WT                            
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>force_hp_glossy</constraint>
                        </option>    
                        <option resource_id="347">
                            A4_BANNER                            
                            
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>force_banner_paper</constraint>
                        </option>    
                        <option resource_id="346">
                            LETTER_BANNER                           
                            
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>force_banner_paper</constraint>
                        </option>                                  
                    </feature>

                    <!-- MediaType -->
                    <feature resource_id="550" typical="true" caption_id="10017" lock="FALSE">
                        MediaType
                        <current_option>PLAIN</current_option>
                        <num_options>34</num_options>
                         <option resource_id="16">
                            AUTOMATIC                        
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                         <option resource_id="571">
                            PLAIN                    
                        
                            <constraint>MediaType_NORMAL_PQ</constraint>
                            <constraint>PQ_Dummy_Normal</constraint>
                        <!--    <constraint>force_normal</constraint>-->
                        </option>
                        <option resource_id="595">
                            HP_BRIGHT_WHITE_INKJET_PAPER
                            <constraint>PQ_Dummy_Fast_Normal</constraint>
                            <constraint>MediaType_FAST_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="610">
                              HP_PREMIUM_PAPER
                            <!--<constraint> tray2_constraint_ABS </constraint>-->
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>                    
                        <option resource_id="623">
                            OTHER_INKJET_PAPERS
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>            
                        <option resource_id="598">
                            HP_PREMIUM_PLUS_PHOTO_PAPER_GLOSSY
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Best</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                         </option>
                        <option resource_id="599">
                             HP_PREMIUM_PLUS_PHOTO_PAPER_MATTE
                             <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                             <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                             <constraint>PQ_Dummy_Best</constraint>
                             <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="644">
                             HP_COLORFAST_PHOTO_PAPER_GLOSSY
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Best</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                         </option>                                  
                        <option resource_id="641">
                            HP_PREMIUM_PHOTO_PAPER_GLOSSY
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Best</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>                        
                        <option resource_id="640">
                            HP_PHOTO_PAPER_GLOSSY
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Best</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="645">
                             HP_EVERYDAY_PHOTO_PAPER_SEMI_GLOSS
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="646">
                            HP_EVERYDAY_PHOTO_PAPER_MATTE
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option>
                        hp premium high-gloss film 
                        <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                        <constraint>PQ_Dummy_Best</constraint>
                        <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="625">
                            OTHER_PHOTO_PAPER
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>PQ_Dummy_Best</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="611">
                            HP_PREMIUM_INKJET_TRANSPARENCY_FILM
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>                        
                        <option resource_id="612">
                            HP_PREMIUM_PLUS_INKJET_TRANSPARENCY_FILM
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="624">
                            OTHER_TRANSPARENCY_FILMS
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="617">
                            HP_BANNER_PAPER
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->                            
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        <!--    <constraint>Force_banner</constraint>-->
                                                    
                            
                        </option>
                        <option resource_id="614">
                            HP_IRON_ON_TRANSFER
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="628">
                            OTHER_SPECIALTY_PAPERS
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="615">
                            HP_MATTE_GREETING_CARDS
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="616">
                            HP_PHOTO_GREETING_CARDS
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>PQ_Dummy_Best</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="622">
                            HP_TEXTURED_GREETING_CARDS
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="20568">
                            HP_LINEN_GREETING_CARDS
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="603">
                            INKJET_HAGAKI
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->                            
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="626">
                            OTHER_GREETING_CARDS
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>                            
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="620">
                            HP_BROCHURE_FLYER_GLOSS
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="621">
                            HP_BROCHURE_FLYER_MATTE_FINISH
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option>
                            hp tri-fold brochure paper, glossy
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="627">
                            OTHER_BROCHURE_PAPERS
                            <!--    <constraint>mediatype_tray2_constraint</constraint>-->
                            <constraint>PQ_Dummy_Normal</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>    
                                        
                   </feature>
                    <!-- InputBin -->
                    <feature resource_id="432" typical="true" caption_id="10018" lock="FALSE">
                        InputBin
                        <current_option>PrinterSelect</current_option>
                        <num_options>4</num_options>
                        <option resource_id="430">
                            PrinterSelect
                        </option>
                        <option resource_id="416">
                            ManualFeed
                        </option>                        
                        <option resource_id="408">
                            Tray1
                            <constraint> InputBin_Tray1</constraint>
                        </option>
                       <!-- <option resource_id="409">
                            Tray2
                            <constraint> Requires_OptionalPaperSource_Installed </constraint>
                            <constraint> paper_tray2_constraint_ABS</constraint>
                            <constraint> paper_tray2_constraint </constraint>
                            <constraint> media_tray2_constraint </constraint>
                        </option>-->
                    </feature>
                    <!-- Watermarks -->
                    <feature resource_id="2000">
                        Watermarks
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                        </option>
                        <option resource_id="2002">
                            Confidential
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10033">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                                <option resource_id="2019">
                                    Red
                                </option>
                                <option resource_id="2020">
                                    Yellow
                                </option>
                                <option resource_id="2021">
                                    Green
                                </option>
                                <option resource_id="2022">
                                    Cyan
                                </option>
                                <option resource_id="2023">
                                    Blue
                                </option>
                                <option resource_id="2024">
                                    Magenta
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                        <option resource_id="2001">
                            Draft
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                                <option resource_id="2019">
                                    Red
                                </option>
                                <option resource_id="2020">
                                    Yellow
                                </option>
                                <option resource_id="2021">
                                    Green
                                </option>
                                <option resource_id="2022">
                                    Cyan
                                </option>
                                <option resource_id="2023">
                                    Blue
                                </option>
                                <option resource_id="2024">
                                    Magenta
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                        <option resource_id="2003">
                            Sample
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                                <option resource_id="2019">
                                    Red
                                </option>
                                <option resource_id="2020">
                                    Yellow
                                </option>
                                <option resource_id="2021">
                                    Green
                                </option>
                                <option resource_id="2022">
                                    Cyan
                                </option>
                                <option resource_id="2023">
                                    Blue
                                </option>
                                <option resource_id="2024">
                                    Magenta
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- Copies -->
                    <feature resource_id="1021" caption_id="10037" range_low="1" range_hi="999">
                        Copies
                        <current_option>1</current_option>
                    </feature>
                    <!-- Dry Time -->
                    <feature resource_id="848" caption_id="10078">
                        DryTime
                        <current_option>0</current_option>
                        <option>-15</option>
                        <option>-10</option>
                        <option>-5</option>
                        <option>0</option>
                        <option>5</option>
                        <option>10</option>
                        <option>15</option>
                        <option>20</option>
                        <option>25</option>
                        <option>30</option>
                    </feature>
                    <feature resource_id="847" caption_id="10077">
                        InkVolume
                        <current_option>Normal</current_option>
                        <option resource_id="20832">
                            Heavier
                        </option>
                        <option resource_id="569">
                            Heavy
                        </option>
                        <option resource_id="769">
                            Normal
                        </option>
                        <option resource_id="638">
                            Light
                        </option>
                        <option resource_id="20833">
                            Lighter
                        </option>
                    </feature>
                    <!-- Emulate LaserJet Margins -->
                    <!--<feature resource_id="2170" caption_id="10072">
                        HPEmulateLJMargins
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                            <constraint>Check_Symmetrical_Margins</constraint>
                            <constraint>check_duplex</constraint> 
                        </option>
                    </feature>-->
                    <!-- Symmmetrical Margins -->
                    <!--<feature resource_id="2171" caption_id="10073">
                        HPSymmetricalMargins
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                            <constraint>Check_EmulateLJ_Margins</constraint>
                            <constraint>check_duplex</constraint> 
                        </option>
                    </feature>-->
                    <!-- LanguageLevel (PSCRIPT) -->
                    <!--<feature resource_id="5001" caption_id="10064">
                        LanguageLevel
                        <current_option>3</current_option>
                        <option>
                            1
                        </option>
                        <option>
                            2
                        </option>
                        <option>
                            3
                        </option>
                    </feature>-->
                    <!-- NegativePrint (PSCRIPT)-->
                    <!--<feature resource_id="5005" caption_id="10066">
                        NegativePrint
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature> -->
                    <!-- MirrorPrint (PSCRIPT)-->
                    <!--<feature resource_id="5006" caption_id="10065">
                        MirrorPrint
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>-->
                </printing>
                <custom>
                </custom>
                <constraints>
                    <constraint>
                        Dummy_ScaleToFit_Flase
                        <requires>
                            <item force="TRUE">printing/Dummy_ScaleToFit == False</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Dummy_ScaleToFit_True
                        <requires>
                            <item force="TRUE">printing/Dummy_ScaleToFit == True</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_ScaleToFit_True
                        <requires>
                            <item force="TRUE">printing/ScalePageChoice == ScaleToFit</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_ScaleToFit_False
                        <requires>
                            <item force="TRUE">printing/ScalePageChoice == FitWithoutScaling</item>
                        </requires>
                    </constraint>
                    <!-- Tray 2 Constraints 
                    <constraint>
                        tray2_constraint_ABS
                        <forbids>
                            <item>printing/Inputbin == Tray2</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        tray2_constraint
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/Inputbin == Tray2</item>
                        </forbids>
                    </constraint>
                     Tray 3 Constraints 
                    <constraint>
                          tray3_constraint
                          <forbids>
                             <item>printing/Inputbin ==Tray3 </item>
                          </forbids>
                    </constraint>     -->
                    <!-- Tray 1 Constraints -->
                    <constraint>
                           tray1_constraint
                           <forbids>
                              <item>printing/InputBin == Tray1</item>
                           </forbids>
                    </constraint>
                    <!-- media fast constraint -->
                    <constraint>
                         media_fast_constraint
                         <requires>
                             <item> printing/mediatype != HP_PREMIUM_PAPER</item>
                             <item> printing/mediatype != HP_PREM_INKJET_HEAVY_WEIGHT_PAPER </item>
                             <!--<item> printing/mediatype != HP_PREMIUM_PHOTO_PAPER_GLOSSY </item>-->
                             <item>printing/mediatype != HP_PREM_PHOTO_PAPER</item>
                             <item> printing/mediatype != HP_PREMIUM_PLUS_PHOTO_PAPER </item>
                             <!--<item> printing/mediatype != HP_PREMIUM_PLUS_PHOTO_PAPER_GLOSSY </item>
                             <item> printing/mediatype != HP_PREMIUM_PLUS_PHOTO_PAPER_MATTE </item>-->
                             <item> printing/mediatype != HP_COLORFAST_PHOTO_PAPER_GLOSSY</item>
                             <item> printing/mediatype != HP_PROFESSIONAL_BROCHURE_GLOSSY</item>
                             <item> printing/mediatype != HP_PROFESSIONAL_BROCHURE_MATTE</item>
                      <!--   <item> printing/mediatype != HP_PHOTO_QUALITY_PAPER_SEMI_GLOSS </item> -->
                      <!--   <item> printing/mediatype != HP_PHOTO_QUALITY_PAPER_MATTE</item> -->
                             <item> printing/mediatype != HP_PHOTO_PAPER_GLOSSY</item>
                             <item> printing/mediatype !=  HP_EVERYDAY_PHOTO_PAPER_SEMI_GLOSS</item>
                             <item> printing/mediatype != HP_EVERYDAY_PHOTO_PAPER_MATTE </item>
                           </requires>
                    </constraint>
                    <constraint>
                        Media_PQ_Constraint
                        <forbids>
                            <item>printing/PrintQuality_Dummy != MAXIMUM </item>
                        </forbids>
                        <forbids>
                            <item>printing/mediatype == HP_PREMIUM_PAPER</item>
                            <item>printing/mediatype == HP_PREM_INKJET_HEAVY_WEIGHT_PAPER</item>
                            <item>printing/mediatype == AUTOMATIC</item>
                            <item>printing/mediatype == PLAIN</item>
                            <item>printing/mediatype == HP_BRIGHT_WHITE_INKJET_PAPER</item>
                            <item>printing/mediatype == HP_EVERYDAY_PHOTO_PAPER_SEMI_GLOSS</item>
                            <item>printing/mediatype == HP_EVERYDAY_PHOTO_PAPER_MATTE</item>
                            <item>printing/mediatype == HP_PREMIUM_INKJET_TRANSPARENCY_FILM</item>
                            <item>printing/mediatype == HP_PREMIUM_PLUS_INKJET_TRANSPARENCY_FILM</item>
                            <item>printing/mediatype == HP_BANNER_PAPER</item>
                            <item>printing/mediatype == HP_IRON_ON_TRANSFER</item>
                            <item>printing/mediatype == HP_LABELS_MATTE</item>
                            <item>printing/mediatype == HP_LABELS_GLOSSY</item>
                            <item>printing/mediatype == INKJET_HAGAKI</item>
                            <item>printing/mediatype == HP_MATTE_GREETING_CARDS</item> 
                            <item>printing/mediatype == hp tri-fold brochure paper, glossy</item>                            
                            <item>printing/mediatype == HP_TEXTURED_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_LINEN_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_BROCHURE_FLYER_GLOSS</item>
                            <item>printing/mediatype == HP_BROCHURE_FLYER_MATTE_FINISH</item>
                            <item>printing/mediatype == OTHER_INKJET_PAPERS</item>                           
                            <item>printing/mediatype == OTHER_TRANSPARENCY_FILMS</item>
                            <item>printing/mediatype == OTHER_SPECIALTY_PAPERS</item>
                            <item>printing/mediatype == OTHER_GREETING_CARDS</item>
                            <item>printing/mediatype == OTHER_BROCHURE_PAPERS</item>
                            <item>printing/mediatype == HP_PREM_INKJET_PRESENTATION_PAPER</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Media_PQ_Constraint_dpi
                        <forbids>
                            <item>printing/PrintQuality_Dummy != 1200dpiTextRendering </item>
                        </forbids>
                        <forbids>                           
                            <item>printing/mediatype == HP_PREM_INKJET_HEAVY_WEIGHT_PAPER</item>
                            <item>printing/mediatype == AUTOMATIC</item>
                            <item>printing/mediatype == PLAIN</item>
                            <item>printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER_GLOSSY </item>
                            <item>printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER_MATTE </item>
                            <item> printing/mediatype == HP_COLORFAST_PHOTO_PAPER_GLOSSY</item>
                            <item> printing/mediatype == HP_PREMIUM_PHOTO_PAPER_GLOSSY </item>
                            <item>printing/mediatype == HP_BRIGHT_WHITE_INKJET_PAPER</item>                                                      
                            <item>printing/mediatype == HP_PREMIUM_INKJET_TRANSPARENCY_FILM</item>
                            <item> printing/mediatype == HP_PHOTO_PAPER_GLOSSY</item>
                            <item> printing/mediatype == hp premium high-gloss film </item>
                            <item>printing/mediatype == HP_PREMIUM_PLUS_INKJET_TRANSPARENCY_FILM</item>
                            <item>printing/mediatype == HP_BANNER_PAPER</item>
                            <item>printing/mediatype == HP_IRON_ON_TRANSFER</item>
                            <item>printing/mediatype == HP_LABELS_MATTE</item>
                            <item>printing/mediatype == HP_LABELS_GLOSSY</item>                            
                            <item>printing/mediatype == HP_PHOTO_GREETING_CARDS</item>                                                                                                             
                            <item>printing/mediatype == OTHER_PHOTO_PAPER</item>
                            <item>printing/mediatype == OTHER_TRANSPARENCY_FILMS</item>
                            <item>printing/mediatype == OTHER_SPECIALTY_PAPERS</item>                          
                            
                            <item>printing/mediatype == HP_PREM_INKJET_PRESENTATION_PAPER</item>
                        </forbids>
                    </constraint>
                    
                   <!-- <constraint>
                        media_tray2_constraint
                        <forbids>
                            <item>printing/mediatype == AUTOMATIC</item>
                            <item>printing/mediatype == HP_PREMIUM_PAPER</item>
                            <item>printing/mediatype == HP_PREM_INKJET_HEAVY_WEIGHT_PAPER</item>
                            <item>printing/mediatype == HP_PREM_INKJET_PRESENTATION_PAPER</item>
                            <item> printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER </item>-->
                            <!--<item>printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER_GLOSSY</item>
                            <item>printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER_MATTE</item>-->
                            <!--<item>printing/mediatype == HP_COLORFAST_PHOTO_PAPER_GLOSSY</item>
                            <item>printing/mediatype == HP_PREMIUM_PHOTO_PAPER_GLOSSY</item>
                            <item>printing/mediatype == HP_PHOTO_PAPER_GLOSSY</item>
                            <item>printing/mediatype == HP_EVERYDAY_PHOTO_PAPER_SEMI_GLOSS</item>
                            <item>printing/mediatype == HP_EVERYDAY_PHOTO_PAPER_MATTE</item>
                            <item>printing/mediatype == HP_PREMIUM_INKJET_TRANSPARENCY_FILM</item>
                            <item>printing/mediatype == HP_PREMIUM_PLUS_INKJET_TRANSPARENCY_FILM</item>
                            <item>printing/mediatype == HP_BANNER_PAPER</item>
                            <item>printing/mediatype == HP_IRON_ON_TRANSFER</item>
                            <item>printing/mediatype == HP_LABELS_MATTE</item>
                            <item>printing/mediatype == HP_LABELS_GLOSSY</item>
                            <item>printing/mediatype == HP_MATTE_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_PHOTO_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_TEXTURED_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_LINEN_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_BROCHURE_FLYER_GLOSS</item>
                            <item>printing/mediatype == HP_BROCHURE_FLYER_MATTE_FINISH</item>
                            <item>printing/mediatype == OTHER_INKJET_PAPERS</item>
                            <item>printing/mediatype == OTHER_PHOTO_PAPER</item>
                            <item>printing/mediatype == OTHER_TRANSPARENCY_FILMS</item>
                            <item>printing/mediatype == OTHER_SPECIALTY_PAPERS</item>
                            <item>printing/mediatype == OTHER_GREETING_CARDS</item>
                            <item>printing/mediatype == OTHER_BROCHURE_PAPERS</item>
                            <item>printing/mediatype == HP_PHOTO_PAPER_PROJECT</item>
                            <item>printing/mediatype == HP_PREMIUM_PHOTO_PAPER_MATTE</item>
                            <item>printing/mediatype == HP_PREM_PHOTO_PAPER</item>
                        </forbids>
                    </constraint>-->
                    <constraint>
                        Media_FastNormal_constraint
                        <forbids>
                            <item>printing/PrintQuality_Dummy != FASTNORMAL </item>
                        </forbids>
                        <forbids>
                            <item>printing/mediatype == HP_PREMIUM_PAPER</item>
                            <item>printing/mediatype == HP_PREM_INKJET_HEAVY_WEIGHT_PAPER</item>
                            <item>printing/mediatype == HP_PREM_INKJET_PRESENTATION_PAPER</item>
                            <item> printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER </item>
                            <!--<item>printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER_GLOSSY</item>
                            <item>printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER_MATTE</item>-->
                            <item>printing/mediatype == HP_COLORFAST_PHOTO_PAPER_GLOSSY</item>
                            <!--<item>printing/mediatype == HP_PREMIUM_PHOTO_PAPER_GLOSSY</item>-->
                            <item>printing/mediatype == HP_PHOTO_PAPER_GLOSSY</item>
                            <item>printing/mediatype == HP_EVERYDAY_PHOTO_PAPER_SEMI_GLOSS</item>
                            <item>printing/mediatype == HP_EVERYDAY_PHOTO_PAPER_MATTE</item>
                            <item>printing/mediatype == HP_PREMIUM_INKJET_TRANSPARENCY_FILM</item>
                            <item>printing/mediatype == HP_PREMIUM_PLUS_INKJET_TRANSPARENCY_FILM</item>
                            <item>printing/mediatype == HP_BANNER_PAPER</item>
                            <item>printing/mediatype == HP_IRON_ON_TRANSFER</item>
                            <item>printing/mediatype == HP_LABELS_MATTE</item>
                            <item>printing/mediatype == HP_LABELS_GLOSSY</item>
                            <item>printing/mediatype == HP_MATTE_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_PHOTO_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_TEXTURED_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_LINEN_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_BROCHURE_FLYER_GLOSS</item>
                            <item>printing/mediatype == HP_BROCHURE_FLYER_MATTE_FINISH</item>
                            <item>printing/mediatype == OTHER_INKJET_PAPERS</item>
                            <item>printing/mediatype == OTHER_PHOTO_PAPER</item>
                            <item>printing/mediatype == OTHER_TRANSPARENCY_FILMS</item>
                            <item>printing/mediatype == OTHER_SPECIALTY_PAPERS</item>
                            <item>printing/mediatype == OTHER_GREETING_CARDS</item>
                            <item>printing/mediatype == OTHER_BROCHURE_PAPERS</item>
                            <item>printing/mediatype == HP_PHOTO_PAPER_PROJECT</item>
                            <!--<item>printing/mediatype == HP_PREMIUM_PHOTO_PAPER_MATTE</item>-->
                            <item>printing/mediatype == HP_PREM_PHOTO_PAPER</item>
                        </forbids>
                    </constraint>
                <!--    <constraint>
                        mediatype_tray2_constraint
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                        </forbids>
                    </constraint>-->
                    <constraint>
                        fast_constraint
                        <forbids>
                            <item> printing/printquality == Fast </item>
                        </forbids>      
                    </constraint>
                        <constraint>
                        Normal_constraint
                        <forbids>
                            <item> printing/printquality == Normal </item>
                        </forbids>      
                    </constraint>
                    <constraint>
                        paper_tray2_constraint
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/papersize == A5</item>
                            <item>printing/papersize == A6</item>
                            <item>printing/papersize == A4_BANNER</item>
                            <item>printing/papersize == LETTER_BANNER</item>
                            <item>printing/papersize == ENV_10</item>
                            <item>printing/papersize == ENV_A2</item>
                            <item>printing/papersize == ENV_MONARCH</item>
                            <item>printing/papersize == ENV_DL</item>
                            <item>printing/papersize == ENV_C5</item>
                            <item>printing/papersize == ENV_C6</item>
                            <item>printing/papersize == HP_GREETING_CARD_ENV</item>
                            <item>printing/papersize == INDEX_CARD_3X5</item>
                            <item>printing/papersize == INDEX_CARD_4X6</item>
                            <item>printing/papersize == INDEX_CARD_5X8</item>
                            <!--<item>printing/papersize == Photo 4x6 in.</item>-->
                            <item>printing/papersize == PHOTO_4X6_IN_WT</item>
                            <item>printing/papersize == STATEMENT</item>
                        </forbids>
                    </constraint>
                    <constraint> 
                        paper_tray2_constraint_ABS
                        <forbids>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == A5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == A6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == A4_BANNER</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == LETTER_BANNER</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_10</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_A2</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_MONARCH</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_DL</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_C5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_C6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_GREETING_CARD_ENV</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_3X5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_4X6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_5X8</item>
                            <!--<item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == Photo 4x6 in.</item>-->
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == PHOTO_4X6_IN_WT</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == STATEMENT</item>
                        </forbids>
                    </constraint>
                    <constraint>
                          LongEdge_Forbids_Portrait
                          <forbids>
                              <item>printing/Orientation == Portrait</item>
                          </forbids>
                    </constraint>
                    <constraint>
                          ShortEdge_Forbids_Landscape
                          <forbids>
                              <item>printing/Orientation == Landscape</item>
                          </forbids>
                    </constraint>
                    <constraint>
                           Portrait_Forbids_LongEdge
                           <forbids>
                                <item>printing/DuplexEdge == LongEdge </item>
                           </forbids>     
                    </constraint>
                    <constraint>
                            Landscape_Forbids_ShortEdge
                            <forbids>
                                  <item>printing/DuplexEdge == ShortEdge </item> 
                            </forbids>
                    </constraint>
                    <constraint>
                              PageOrder_Forbids_OnePage
                              <forbids>
                                    <item>printing/NUpChoice == OneUp</item>
                              </forbids>
                    </constraint>
                    <constraint>
                             NUpChoice_OneUp_Constraint
                             <requires>
                                   <item>printing/NUpPageOrderChoice == RightThenDown </item> 
                                   <item>printing/NUpBordersChoice == NoBorders </item>
                             </requires>
                    </constraint>
                    <constraint>
                        ScalePageChoice_ScaleToFit
                        <forbids>
                            <item>printing/Dummy_ScaleToFit == False</item>
                        </forbids>
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                    </constraint>
                    <!-- JobRetention Hardware Constraints -->
                    <constraint>
                        JobRetention_Enabled_Hardware
                        <requires>
                            <item>physical/PrinterHardDisk == Installed</item>
                        </requires>
                    </constraint>
                    <constraint>
                          Hardware_Disabled_JobRetention
                          <forbids>
                               <item>physical/JobRetention == Enabled </item>
                          </forbids>     
                    </constraint>

                    <constraint>
                        Check_BlackInk
                        <requires>
                            <item>printing/PrintColorAsGray == TRUE</item>
                            <item force="TRUE">printing/PrintColorAsGray[TRUE]/PrintColorAsGrayOptions == HighQuality</item>
                        </requires>
                        <requires>
                            <item>printing/PrintColorAsGray == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_Booklet_To_Disable_PrintOnBothSides
                        <requires>
                            <item>printing/BookletPrintingChoice == OFF</item>
                        </requires>
                    </constraint>

                    <constraint>
                        Check_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        Duplex_DuplexUnit
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                        </requires>
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                    </constraint>
                    <constraint>
                        DuplexUnit_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                         papersize_duplex_ABS
                         <requires>
                             <item>printing/Duplex == FALSE </item>
                         </requires>  
                    </constraint>
                    <constraint>
                         papersize_duplex
                        <forbids>
                            <item>printing/FitToOtherSizeChoice    == PrintActualSize</item>
                        </forbids>
                        <forbids>
                             <item>printing/Duplex == TRUE </item>
                        </forbids>  
                    </constraint>
                    <constraint>
                        Duplex_constraint_PaperSize
                        <forbids>
                            <item>printing/FitToOtherSizeChoice    == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/papersize == ENV_10</item>
                            <item>printing/papersize == ENV_MONARCH</item>
                            <item>printing/papersize == ENV_DL</item>
                            <item>printing/papersize == ENV_C5</item>
                            <item>printing/papersize == ENV_A2</item>
                            <item>printing/papersize == ENV_C6</item>
                            <item>printing/papersize == HP_GREETING_CARD_ENV</item>
                            <item>printing/papersize == A4_BANNER</item>
                            <item>printing/papersize == LETTER_BANNER</item>
                            <item>printing/papersize == Photo 4x6 in.</item>
                            <item>printing/papersize == PHOTO_4X6_IN_WT</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Duplex_constraint_PaperSize_ABS
                        <forbids>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_10</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_MONARCH</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_DL</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_C5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_A2</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_C6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_GREETING_CARD_ENV</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == A4_BANNER</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == LETTER_BANNER</item>
                            <!--<item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == Photo 4x6 in.</item>-->
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == PHOTO_4X6_IN_WT</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_PaperSizes_Supported_Man
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>physical/ManualDuplex == Disabled</item>
                        </forbids>
                        <forbids>
                            <item>printing/printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/PaperSize == A6</item>
                            <item>printing/PaperSize == INDEX_CARD_3X5</item>
                            <item>printing/PaperSize == INDEX_CARD_4X6</item>
                            <item>printing/PaperSize == LEGAL</item>
                            <item>printing/PaperSize == STATEMENT</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_PaperSizes_Supported_Man_ABS
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>physical/ManualDuplex == Disabled</item>
                        </forbids>
                        <forbids>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == A6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_3X5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_4X6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == LEGAL</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == STATEMENT</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Duplex_constraint_Mediatypes
                        <forbids>
                           <!--itee> printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER </item>-->
                            <item>printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER_GLOSSY</item>
                            <item>printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER_MATTE</item>-->
                            <item>printing/mediatype == HP_COLORFAST_PHOTO_PAPER_GLOSSY</item>
                            <item>printing/mediatype == HP_PREMIUM_PHOTO_PAPER_GLOSSY</item>
                            <item>printing/mediatype == OTHER_PHOTO_PAPER</item>
                            <item>printing/mediatype == HP_PREMIUM_INKJET_TRANSPARENCY_FILM</item>
                            <item>printing/mediatype == HP_PREMIUM_PLUS_INKJET_TRANSPARENCY_FILM</item>
                            <item>printing/mediatype == OTHER_TRANSPARENCY_FILMS</item>
                            <item>printing/mediatype == HP_BANNER_PAPER</item>
                            <item>printing/mediatype == HP_IRON_ON_TRANSFER</item>                                                                                                          
                            <item>printing/mediatype == hp premium high-gloss film </item>
                        </forbids>
                    </constraint>
                    <!-- Forbid Symmetrical Margins -->
                    <constraint>
                        Check_Symmetrical_Margins
                            <forbids>
                               <item>printing/HPSymmetricalMargins == TRUE </item>
                          </forbids>
                    </constraint>
                    <!-- Forbid Emulate LaserJet Margins -->
                    <constraint>
                        Check_EmulateLJ_Margins
                            <forbids>
                               <item>printing/HPEmulateLJMargins == TRUE </item>
                          </forbids>
                    </constraint>                                
                    
                    <constraint>
                           Tray1_InputBin
                           <forbids>
                                <item> printing/InputBin == Tray1 </item>
                           </forbids> 
                    </constraint>                    
                     <constraint>
                           InputBin_Tray1
                           <forbids>
                                <item> physical/Tray1 == NotInstalled </item>
                           </forbids>
                    </constraint> 
                    <constraint>
                            force_hp_glossy
                            <requires>
                                <item force ="TRUE">printing/MediaType == HP_PREMIUM_PLUS_PHOTO_PAPER_GLOSSY </item>
                            </requires>
                    </constraint>
                    <constraint>
                            force_Hagaki_card
                            <requires>
                                <item force ="TRUE">printing/MediaType == INKJET_HAGAKI </item>
                            </requires>
                    </constraint>
                    <constraint>
                            force_plain_paper
                            <requires>
                                <item force ="TRUE">printing/MediaType == PLAIN </item>
                            </requires>
                    </constraint>
                    <constraint>
                            Force_banner
                            <requires>
                                <item>printing/PaperSize == LETTER_BANNER </item>
                            </requires>
                    </constraint>    
                    <constraint>
                            force_banner_paper
                            <requires>
                                <item force ="TRUE">printing/MediaType == HP_BANNER_PAPER </item>
                            </requires>
                    </constraint>                                    
                    <constraint>
                            force_automatic                        
                            <requires>
                                <item force ="TRUE">printing/MediaType == AUTOMATIC </item>
                            </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        OPS_Tray3_Remove
                        <requires>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        OPS_Tray1_Remove
                        <requires>
                            <item force="TRUE">physical/Tray1 == NotInstalled</item>
                        </requires>
                    </constraint>                    
                    <constraint onexportonly="TRUE">
                        OPS_Tray1_Set
                        <requires>
                            <item force="TRUE">physical/Tray1 == Installed</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        MediaType_FAST_NORMAL_PQ
                        <requires>
                            <item>printing/PrintQuality == FastNormal</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/PrintQuality == FastNormal</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        MediaType_NORMAL_PQ
                        <requires>
                            <item>printing/PrintQuality == Normal</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/PrintQuality == Normal</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        MediaType_BEST_PQ
                        <requires>
                            <item>printing/PrintQuality == Best</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/PrintQuality == Best</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        MediaType_DRAFT_PQ
                        <requires>
                            <item>printing/PrintQuality == Draft</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/PrintQuality == Draft</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        MediaType_MAXIMUM_PQ
                        <requires>
                            <item>printing/PrintQuality == Photo Mode (4800x1200 optimized dpi)</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/PrintQuality == Photo Mode (4800x1200 optimized dpi)</item>
                        </requires>
                    </constraint>
                       <constraint>
                          NUpChoice_FitToOtherSizeChoice
                          <requires>
                               <item>printing/FitToOtherSizeChoice==PrintActualSize</item>
                          </requires>
                    </constraint>
                    <constraint>
                           FitToOtherSizeChoice_NUpChoice
                           <requires>
                                 <item>printing/NUpChoice==OneUp </item>
                           </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                              Bundle_Memory_Default
                            <requires>
                                 <item force="TRUE">physical/Memory == 64</item>
                            </requires>
                    </constraint>       
                    <constraint onexportonly="TRUE">
                           Bundle_DuplexUnit_Default
                           <requires>
                              <item force ="TRUE">physical/DuplexUnit==Installed</item>
                           </requires>
                     </constraint>
                     <constraint onexportonly="TRUE">
                            Bundle_Tray_Default
                            <requires>
                               <item force="TRUE">physical/OptionalPaperSources==None</item>
                            </requires>
                     </constraint>
                     <constraint onexportonly="TRUE">
                            Bundle_500Sheet_Tray2_Installed
                            <requires>
                               <item force="TRUE">physical/OptionalPaperSources==C8234A</item>
                            </requires>
                     </constraint>
                     <constraint onexportonly="TRUE">
                              PQ_Dummy_Draft
                              <requires>
                                  <item> printing/PrintQuality_Dummy == DRAFT</item>
                              </requires>
                              <requires>
                                  <item force="TRUE">printing/PrintQuality_Dummy == DRAFT</item>
                              </requires>
                     </constraint>
                     <constraint onexportonly="TRUE">
                              PQ_Dummy_Normal
                              <requires>
                                   <item>printing/PrintQuality_Dummy == NORMAL</item>
                              </requires>
                              <requires>
                                   <item force="TRUE">printing/PrintQuality_Dummy == NORMAL</item>
                              </requires>
                     </constraint>
                     <constraint onexportonly="TRUE">
                              PQ_Dummy_Fast_Normal
                              <requires>
                                  <item>printing/PrintQuality_Dummy == FASTNORMAL</item>
                              </requires>
                              <requires>
                                  <item force="TRUE">printing/PrintQuality_Dummy == FASTNORMAL</item>
                              </requires>
                     </constraint>
                     <constraint onexportonly="TRUE">
                              PQ_Dummy_Best
                              <requires>
                                   <item>printing/PrintQuality_Dummy == BEST</item>
                              </requires>
                              <requires>
                                   <item force="TRUE">printing/PrintQuality_Dummy == BEST</item>
                              </requires>
                     </constraint>
                     <constraint onexportonly="TRUE">
                              PQ_Dummy_Maximum
                              <requires>
                                   <item>printing/PrintQuality_Dummy == MAXIMUM</item>
                              </requires>
                              <requires>
                                   <item force="TRUE">printing/PrintQuality_Dummy == MAXIMUM</item>
                              </requires>
                     </constraint>
                          <!--<constraint>
                              PQ_Dummy_Normal
                              <requires>
                                  <item>printing/PrintQuality_Dummy == NORMAL_OK</item>  
                              </requires>
                              <requires>
                                   <item>printing/MediaType != HP_PREMIUM_PHOTO_PAPER_GLOSSY</item>
                                   <item>printing/MediaType != HP_PREMIUM_PLUS_PHOTO_PAPER_GLOSSY</item>
                                   <item>printing/MediaType != HP_PREMIUM_PLUS_PHOTO_PAPER_MATTE </item>
                                   <item>printing/MediaType != HP_COLORFAST_PHOTO_PAPER_GLOSSY</item>
                              </requires>
                      </constraint>-->
                      <!-- Booklet and NUP are Incompatible -->
                    <!-- Booklet and Percent_Not_100 are Incompatible -->
                    <constraint>
                        Is_Booklet_On
                        <forbids>
                            <item>printing/BookletPrintingChoice == LeftEdge</item>
                            <item>printing/BookletPrintingChoice == RightEdge</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_NUP
                        <forbids>
                            <item>printing/NUpChoice != OneUp</item>
                        </forbids>
                    </constraint>    
                    <!-- Booklet Printing -->
                    <constraint>
                        Check_Duplex_To_Allow_Booklet
                        <requires>
                            <item>printing/Duplex == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_Scaling_To_Allow_Booklet
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_Scale_Equal_100
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                        </requires>
                    </constraint>
                    <!-- Called from two places: For setting Target PaperSize and Booklet Enable -->
                <constraint>
                        Check_PaperSizes_To_Allow_Booklet
                        <forbids>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == LEGAL</item>                            
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == 16K</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                        <item>printing/PaperSize == 8_5X13</item> 
                        </forbids>
                    </constraint>

                    <!-- BookletTargetSize option  -->
                    <constraint>
                        Check_BookletPrinting
                        <requires>
                            <item>printing/BookletPrintingChoice == Off </item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletTargetPaperSize_Cannot_Be_A4
                        <forbids>
                            <item>printing/BookletTargetSize == A4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        BookletTargetPaperSize_Cannot_Be_LETTER
                        <forbids>
                            <item>printing/BookletTargetSize == LETTER</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        BookletTargetPaperSize_Cannot_Be_LEGAL
                        <forbids>
                            <item>printing/BookletTargetSize == LEGAL</item>
                        </forbids>
                    </constraint>

                    <!-- PaperSizes Required Per Booklet Target Size -->
                    <constraint>
                        When_BookletTargetSize_Is_Letter_PaperSize_Cannot_Be
                        <forbids>
                            <item>printing/PaperSize == A4</item>
                <!--        <item>printing/PaperSize == LEGAL</item> -->
                        </forbids>
                    </constraint>
                    <constraint>
                        When_BookletTargetSize_Is_A4_PaperSize_Cannot_Be
                        <forbids>
                            <item>printing/PaperSize == LETTER</item>
                <!--        <item>printing/PaperSize == LEGAL</item> -->
                        </forbids>
                    </constraint>
                    <constraint>
                        When_BookletTargetSize_Is_Legal_PaperSize_Cannot_Be
                        <forbids>
                            <item>printing/PaperSize == A4</item>
                        </forbids>
                    </constraint>
                    <!-- Paper size is LETTER -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value1
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                <!--        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                        </requires> -->
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize == LETTER
                                <option_attrib editable="TRUE"/>
                            </item>
                <!--            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="TRUE"/>
                            </item> -->
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>

                    <!-- Paper size is LEGAL -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value2
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize == LEGAL
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>

                    <!-- Paper size is A4 -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value3
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                    <!--    <requires>
                            <item>printing/PaperSize == LEGAL</item>
                        </requires> -->
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize == A4
                                <option_attrib editable="TRUE"/>
                            </item>
                    <!--        <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="FALSE"/>
                            </item>  -->
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <!-- PrintDocumentOn checked to ON -->
                    <constraint>
                        PrintDocumentOn_Cannot_Be_On
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == FitToOtherSize</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_Scale_Equal_100
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                        </requires>
                    </constraint>
                    <!-- Force BookletTargetSize to Size is value -->
                    <constraint>
                        Force_BookletTargetSize_To_None
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize == None
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                    <!--        <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="FALSE"/>
                            </item> -->
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <!-- When an Optional Paper Source is selected,
                         set TrayX for Mombi drivers 
                    <constraint OnExportOnly="TRUE">
                        Set_Tray2_To_NotInstalled
                        <requires>
                            <item force="TRUE">physical/Tray2 == NotInstalled</item>
                        </requires>
                    </constraint>

                    <constraint OnExportOnly="TRUE">
                        Set_Tray2_To_Installed
                        <requires>
                            <item force="TRUE">physical/Tray2 == Installed</item>
                        </requires>
                    </constraint>-->
                    <!-- Diplaying Input Bins -->
                    <constraint>
                        Add_Tray2_Option
                        <requires>
                            <item force="TRUE">
                                printing/InputBin[PrinterSelect]~~PrinterSelect
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/InputBin[ManualFeed]~~ManualFeed
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/InputBin[Tray1]~~Tray1
                                <option_attrib editable="TRUE"/>
                            </item>                            
                        </requires>
                    </constraint>
                    <constraint>
                        Set_Tray_Default
                        <requires>
                            <item force="TRUE">printing/InputBin == PrinterSelect</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Requires_Plian_Media
                        <requires>
                            <item>printing/mediatype == PLAIN</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Requires_OptionalPaperSource_Installed
                        <requires>
                            <item>physical/Tray2 == Installed</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_TargetPaperSize_To_Letter
                        <requires>
                            <item force="TRUE">printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == LETTER</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_PaperSize_To_Letter
                        <requires>
                            <item force="TRUE">printing/PaperSize == LETTER</item>
                        </requires>
                    </constraint>

                    <!-- AllowManualDuplexing and Duplex Unit -->
                    <constraint>
                        PrintOnBothSides_Cannot_Be_On_Auto
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/Duplex == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        PrintOnBothSides_Cannot_Be_On_Man
                        <requires>
                            <item>physical/DuplexUnit == Installed </item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/Duplex == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Bundle_AllowManualDuplexing_NotInstalled
                        <requires>
                            <item force="TRUE">physical/ManualDuplex == Disabled</item>
                        </requires>
                    </constraint>
                    <constraint>
                        ForceBothDuplexersVarTRUE1
                        <requires>
                            <item>physical/ManualDuplex == Disabled</item>
                        </requires>
                        <requires>
                            <item force="TRUE">physical/BothDuplexersOn == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        ForceBothDuplexersVarTRUE2
                        <requires>
                            <item>physical/DuplexUnit == NotInstalled</item>
                        </requires>
                        <requires>
                            <item force="TRUE">physical/BothDuplexersOn == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        ForceBothDuplexersVarFALSE
                        <requires>
                            <item force="TRUE">physical/BothDuplexersOn == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_PaperSizes_Supported
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE </item>
                        </forbids>
                        <forbids>
                            <item>printing/printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/PaperSize == A6</item>
                            <item>printing/PaperSize == INDEX_CARD_3X5</item>
                            <item>printing/PaperSize == INDEX_CARD_4X6</item>
                            <item>printing/PaperSize == LEGAL</item>
                            <item>printing/PaperSize == STATEMENT</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_PaperSizes_Supported_ABS
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE </item>
                        </forbids>
                        <forbids>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == A6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_3X5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_4X6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == LEGAL</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == STATEMENT</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>physical/BothDuplexersOn == FALSE</item>
                        </forbids>
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS
                        <forbids>
                            <item>physical/BothDuplexersOn == FALSE</item>
                        </forbids>
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Print_On_Both_Sides_Is_Not_Allowed
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == True</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        Print_On_Both_Sides_Is_Not_Allowed_ABS
                        <forbids>
                            <item>printing/Duplex == True</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Forbids_4800_PQ
                        <forbids>
                            <item>printing/PrintQuality == Photo Mode (4800x1200 optimized dpi)</item>
                        </forbids>
                    </constraint>
                    <constraint>
                            force_normal
                            <requires>
                                <item force ="TRUE">printing/PrintQuality == Normal </item>
                            </requires>
                    </constraint>        
                    
                    
                    <constraint>
                        Forbids_Fast_Normal_PQ
                        <forbids>
                            <item>printing/PrintQuality == FastNormal</item>
                        </forbids> 
                    </constraint>
                 </constraints>
            </factory>
        </component>
    </software>
</device>
